| Class AlignConfig The AlignConfig class encapsulates how DP is carried out. It indicates at what ends gaps are free, the so-called free ends-space alignments. AlignConfig<bool TOP, bool LEFT, bool RIGHT, bool BOTTOM, TSpec> Include Headers seqan/align.h Parameters
TOP | If true then 0's in top row. Default: false
LEFT | If true then 0's in the left column. Default: false
RIGHT | If true then maximum is also searched in the last column. Default: false
BOTTOM | If true then maximum is also searched in the last row. Default: false
TSpec | The specializing type. Metafunctions: Spec Default: Default, see Default.
Functions
bandedChainAlignment | Computes the best global pairwise alignment between two sequences given a non-empty seed chain.
globalAlignment | Computes the best global pairwise alignment.
globalAlignmentScore | Computes the best global pairwise alignment score.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56